Workflow discovery
curl --request GET \
--url https://api.compose.market/workflowsimport requests
url = "https://api.compose.market/workflows"
response = requests.get(url)
print(response.text)const options = {method: 'GET'};
fetch('https://api.compose.market/workflows', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));
{
"workflows": [
{
"walletAddress": "0xba04fa4baacbac0d93bb73a7fd473a41aa7f2815",
"name": "Research flow"
}
],
"total": 1
}
Agents & Workflows
Workflow discovery
List and fetch public workflow metadata.
GET
/
workflows
Workflow discovery
Workflow discovery routes are public. Runtime execution routes are documented separately.
Routes
| Method | Path | Description |
|---|---|---|
GET | /workflows | Lists public workflow metadata. |
GET | /workflow/{walletAddress} | Returns one workflow by wallet address. |
GET | /frameworks | Lists runtime framework IDs exposed by the gateway. |
Path parameters
string
required
Workflow wallet address. Must be an EVM address.
Response
array
Workflow list.
number
Number of workflows returned.
{
"workflows": [
{
"walletAddress": "0xba04fa4baacbac0d93bb73a7fd473a41aa7f2815",
"name": "Research flow"
}
],
"total": 1
}
⌘I